python testNestSimp.py 
python printPklFile.py results/cmPlaceBind.pkl > autoResults/nestSimpPlaceBind.sp
python printPklFile.py results/cmAutomaton.pkl > autoResults/nestSimpAutomaton.sp
python printPklFile.py results/cmTryToBindTimer.pkl > autoResults/nestSimpTryToBindTimer.sp

python testNestBind.py 
python printPklFile.py results/cmPlaceBind.pkl > autoResults/nestBindPlaceBind.sp
python printPklFile.py results/cmObjectBind.pkl > autoResults/nestBindObjectBind.sp
python printPklFile.py results/cmTryToBindTimer.pkl > autoResults/nestBindTryTimer.sp
python printPklFile.py results/cmBindingTimer.pkl > autoResults/nestBindBindTimer.sp

python testNestBindOnce.py
python printPklFile.py results/cmAutomaton.pkl > autoResults/nestOnceAutomaton.sp
python printPklFile.py results/cmPlaceBindOn.pkl > autoResults/nestOncePlaceBindOn.sp
python printPklFile.py results/cmPlaceBind.pkl > autoResults/nestOncePlaceBind.sp
python printPklFile.py results/cmPlaceBindDone.pkl > autoResults/nestOncePlaceBindDone.sp
python printPklFile.py results/cmObjectBindOn.pkl > autoResults/nestOnceObjectBindOn.sp
python printPklFile.py results/cmObjectBind.pkl > autoResults/nestOnceObjectBind.sp
python printPklFile.py results/cmObjectBindDone.pkl > autoResults/nestOnceObjectBindDone.sp
python printPklFile.py results/cmTryToBindTimer.pkl > autoResults/nestOnceTryToBindTimer.sp
python printPklFile.py results/cmBindingTimer.pkl > autoResults/nestOnceBindingTimer.sp
python printPklFile.py results/cmBindDoneTimer.pkl > autoResults/nestOnceBindDoneTimer.sp #ERROR

python testNestBindFail.py 1
python printPklFile.py results/cmAutomaton.pkl > autoResults/nestFail1Automaton.sp
python printPklFile.py results/cmPlaceBindOn.pkl > autoResults/nestFail1PlaceBindOn.sp
python printPklFile.py results/cmPlaceBind.pkl > autoResults/nestFail1PlaceBind.sp
python printPklFile.py results/cmTryToBindTimer.pkl > autoResults/nestFail1TryToBindTimer.sp
python printPklFile.py results/cmBindingTimer.pkl > autoResults/nestFail1BindingTimer.sp

python testNestBindFail.py 2
python printPklFile.py results/cmAutomaton.pkl > autoResults/nestFail2Automaton.sp
python printPklFile.py results/cmObjectBindOn.pkl > autoResults/nestFail2ObjectBindOn.sp
python printPklFile.py results/cmObjectBind.pkl > autoResults/nestFail2ObjectBind.sp
python printPklFile.py results/cmTryToBindTimer.pkl > autoResults/nestFail2TryToBindTimer.sp
python printPklFile.py results/cmBindingTimer.pkl > autoResults/nestFail2BindingTimer.sp

python testNestBindFail.py 3
python printPklFile.py results/cmAutomaton.pkl > autoResults/nestFail3Automaton.sp
python printPklFile.py results/cmObjectBindOn.pkl > autoResults/nestFail3ObjectBindOn.sp
python printPklFile.py results/cmObjectBind.pkl > autoResults/nestFail3ObjectBind.sp
python printPklFile.py results/cmTryToBindTimer.pkl > autoResults/nestFail3TryToBindTimer.sp
python printPklFile.py results/cmBindingTimer.pkl > autoResults/nestFail3BindingTimer.sp

python testNestDoubleBind.py 
python printPklFile.py results/cmAutomaton.pkl > autoResults/nestDoubleAutomaton.sp
python printPklFile.py results/cmObjectBindOn.pkl > autoResults/nestDoubleObjectBindOn.sp
python printPklFile.py results/cmObjectBind.pkl > autoResults/nestDoubleObjectBind.sp
python printPklFile.py results/cmObjectBindDone.pkl > autoResults/nestDoubleObjectBindDone.sp
python printPklFile.py results/cmPlaceBindOn.pkl > autoResults/nestDoublePlaceBindOn.sp
python printPklFile.py results/cmPlaceBind.pkl > autoResults/nestDoublePlaceBind.sp
python printPklFile.py results/cmPlaceBindDone.pkl > autoResults/nestDoublePlaceBindDone.sp
python printPklFile.py results/cmTryToBindTimer.pkl > autoResults/nestDoubleTryToBindTimer.sp
python printPklFile.py results/cmBindingTimer.pkl > autoResults/nestDoubleBindingTimer.sp
python printPklFile.py results/cmBindDoneTimer.pkl > autoResults/nestDoubleBindDoneTimer.sp 

python testNestFull.py 1
python printPklFile.py results/cmAutomaton.pkl > autoResults/nestFull1Automaton.sp
python printPklFile.py results/cmObjectBindOn.pkl > autoResults/nestFull1ObjectBindOn.sp
python printPklFile.py results/cmObjectBind.pkl > autoResults/nestFull1ObjectBind.sp
python printPklFile.py results/cmObjectBindDone.pkl > autoResults/nestFull1ObjectBindDone.sp
python printPklFile.py results/cmPlaceBindOn.pkl > autoResults/nestFull1PlaceBindOn.sp
python printPklFile.py results/cmPlaceBind.pkl > autoResults/nestFull1PlaceBind.sp
python printPklFile.py results/cmPlaceBindDone.pkl > autoResults/nestFull1PlaceBindDone.sp
python printPklFile.py results/cmTryToBindTimer.pkl > autoResults/nestFull1TryToBindTimer.sp
python printPklFile.py results/cmBindingTimer.pkl > autoResults/nestFull1BindingTimer.sp
python printPklFile.py results/cmBindDoneTimer.pkl > autoResults/nestFull1BindDoneTimer.sp 
python printPklFile.py results/cmAnswerObject.pkl > autoResults/nestFull1AnswerObject.sp 
python printPklFile.py results/cmAnswerPlace.pkl > autoResults/nestFull1AnswerPlace.sp 
python printPklFile.py results/cmQueryOnPlace.pkl > autoResults/nestFull1QueryPlace.sp 
python printPklFile.py results/cmQueryOnObject.pkl > autoResults/nestFull1QueryObject.sp 

python testNestFull.py 2
python printPklFile.py results/cmAutomaton.pkl > autoResults/nestFull2Automaton.sp
python printPklFile.py results/cmObjectBindOn.pkl > autoResults/nestFull2ObjectBindOn.sp
python printPklFile.py results/cmObjectBind.pkl > autoResults/nestFull2ObjectBind.sp
python printPklFile.py results/cmObjectBindDone.pkl > autoResults/nestFull2ObjectBindDone.sp
python printPklFile.py results/cmPlaceBindOn.pkl > autoResults/nestFull2PlaceBindOn.sp
python printPklFile.py results/cmPlaceBind.pkl > autoResults/nestFull2PlaceBind.sp
python printPklFile.py results/cmPlaceBindDone.pkl > autoResults/nestFull2PlaceBindDone.sp
python printPklFile.py results/cmTryToBindTimer.pkl > autoResults/nestFull2TryToBindTimer.sp
python printPklFile.py results/cmBindingTimer.pkl > autoResults/nestFull2BindingTimer.sp
python printPklFile.py results/cmBindDoneTimer.pkl > autoResults/nestFull2BindDoneTimer.sp 
python printPklFile.py results/cmAnswerObject.pkl > autoResults/nestFull2AnswerObject.sp 
python printPklFile.py results/cmAnswerPlace.pkl > autoResults/nestFull2AnswerPlace.sp 
python printPklFile.py results/cmQueryOnPlace.pkl > autoResults/nestFull2QueryPlace.sp 
python printPklFile.py results/cmQueryOnObject.pkl > autoResults/nestFull2QueryObject.sp 

python testNestMultBind.py 
python printPklFile.py results/cmAutomaton.pkl > autoResults/nestMultAutomaton.sp
python printPklFile.py results/cmObjectBindOn.pkl > autoResults/nestMultObjectBindOn.sp
python printPklFile.py results/cmObjectBind.pkl > autoResults/nestMultObjectBind.sp
python printPklFile.py results/cmObjectBindDone.pkl > autoResults/nestMultObjectBindDone.sp
python printPklFile.py results/cmPlaceBindOn.pkl > autoResults/nestMultPlaceBindOn.sp
python printPklFile.py results/cmPlaceBind.pkl > autoResults/nestMultPlaceBind.sp
python printPklFile.py results/cmPlaceBindDone.pkl > autoResults/nestMultPlaceBindDone.sp
python printPklFile.py results/cmTryToBindTimer.pkl > autoResults/nestMultTryToBindTimer.sp
python printPklFile.py results/cmBindingTimer.pkl > autoResults/nestMultBindingTimer.sp
python printPklFile.py results/cmBindDoneTimer.pkl > autoResults/nestMultBindDoneTimer.sp 
python printPklFile.py results/cmAnswerObject.pkl > autoResults/nestMultAnswerObject.sp 
python printPklFile.py results/cmAnswerPlace.pkl > autoResults/nestMultAnswerPlace.sp 
python printPklFile.py results/cmQueryOnPlace.pkl > autoResults/nestMultQueryPlace.sp 
python printPklFile.py results/cmQueryOnObject.pkl > autoResults/nestMultQueryObject.sp 


echo "diffs"
echo "Simple"
diff autoResults/nestSimpPlaceBind.sp storedResults/nestSimpPlaceBind.sp
echo "  State"
diff autoResults/nestSimpAutomaton.sp storedResults/nestSimpAutomaton.sp
echo "  Timer"
diff autoResults/nestSimpTryToBindTimer.sp storedResults/nestSimpTryToBindTimer.sp
echo "Bind"
diff autoResults/nestBindObjectBind.sp storedResults/nestBindObjectBind.sp
diff autoResults/nestBindPlaceBind.sp storedResults/nestBindPlaceBind.sp
diff autoResults/nestBindTryTimer.sp storedResults/nestBindTryTimer.sp
diff autoResults/nestBindBindTimer.sp storedResults/nestBindBindTimer.sp

echo "Once"
echo "  State"
diff autoResults/nestOnceAutomaton.sp storedResults/nestOnceAutomaton.sp
echo "  Place"
diff autoResults/nestOncePlaceBindOn.sp storedResults/nestOncePlaceBindOn.sp
#echo "  Place B"
diff autoResults/nestOncePlaceBind.sp storedResults/nestOncePlaceBind.sp
#echo "  Place D"
diff autoResults/nestOncePlaceBindDone.sp storedResults/nestOncePlaceBindDone.sp
echo "  Object"
diff autoResults/nestOnceObjectBindOn.sp storedResults/nestOnceObjectBindOn.sp
diff autoResults/nestOnceObjectBind.sp storedResults/nestOnceObjectBind.sp
diff autoResults/nestOnceObjectBindDone.sp storedResults/nestOnceObjectBindDone.sp
echo "  Timer"
diff autoResults/nestOnceTryToBindTimer.sp storedResults/nestOnceTryToBindTimer.sp
diff autoResults/nestOnceBindingTimer.sp storedResults/nestOnceBindingTimer.sp
diff autoResults/nestOnceBindDoneTimer.sp storedResults/nestOnceBindDoneTimer.sp

echo "Fail1 2 Places"
echo "  State"
diff autoResults/nestFail1Automaton.sp storedResults/nestFail1Automaton.sp
echo "  Place"
diff autoResults/nestFail1PlaceBindOn.sp storedResults/nestFail1PlaceBindOn.sp
diff autoResults/nestFail1PlaceBind.sp storedResults/nestFail1PlaceBind.sp
echo "  Timer"
diff autoResults/nestFail1TryToBindTimer.sp storedResults/nestFail1TryToBindTimer.sp
diff autoResults/nestFail1BindingTimer.sp storedResults/nestFail1BindingTimer.sp

echo "Fail2 2 Objects"
echo "  State"
diff autoResults/nestFail2Automaton.sp storedResults/nestFail2Automaton.sp
echo "  Object"
diff autoResults/nestFail2ObjectBindOn.sp storedResults/nestFail2ObjectBindOn.sp
diff autoResults/nestFail2ObjectBind.sp storedResults/nestFail2ObjectBind.sp
echo "  Timer"
diff autoResults/nestFail2TryToBindTimer.sp storedResults/nestFail2TryToBindTimer.sp
diff autoResults/nestFail2BindingTimer.sp storedResults/nestFail2BindingTimer.sp

echo "Fail3 1 Object No Places"
echo "  State"
diff autoResults/nestFail3Automaton.sp storedResults/nestFail3Automaton.sp
echo "  Object"
diff autoResults/nestFail3ObjectBindOn.sp storedResults/nestFail3ObjectBindOn.sp
diff autoResults/nestFail3ObjectBind.sp storedResults/nestFail3ObjectBind.sp
echo "  Timer"
diff autoResults/nestFail3TryToBindTimer.sp storedResults/nestFail3TryToBindTimer.sp
diff autoResults/nestFail3BindingTimer.sp storedResults/nestFail3BindingTimer.sp

echo "Double Bind "
echo "  State"
diff autoResults/nestDoubleAutomaton.sp storedResults/nestDoubleAutomaton.sp
echo "  Object"
diff autoResults/nestDoubleObjectBindOn.sp storedResults/nestDoubleObjectBindOn.sp
diff autoResults/nestDoubleObjectBind.sp storedResults/nestDoubleObjectBind.sp
diff autoResults/nestDoubleObjectBindDone.sp storedResults/nestDoubleObjectBindDone.sp
echo "  Place"
diff autoResults/nestDoublePlaceBindOn.sp storedResults/nestDoublePlaceBindOn.sp
diff autoResults/nestDoublePlaceBind.sp storedResults/nestDoublePlaceBind.sp
diff autoResults/nestDoublePlaceBindDone.sp storedResults/nestDoublePlaceBindDone.sp
echo "  Timer"
diff autoResults/nestDoubleTryToBindTimer.sp storedResults/nestDoubleTryToBindTimer.sp
diff autoResults/nestDoubleBindingTimer.sp storedResults/nestDoubleBindingTimer.sp
diff autoResults/nestDoubleBindDoneTimer.sp storedResults/nestDoubleBindDoneTimer.sp

echo "Full1 Answer Object "
echo "  State"
diff autoResults/nestFull1Automaton.sp storedResults/nestFull1Automaton.sp
echo "  Object"
diff autoResults/nestFull1ObjectBindOn.sp storedResults/nestFull1ObjectBindOn.sp
diff autoResults/nestFull1ObjectBind.sp storedResults/nestFull1ObjectBind.sp
diff autoResults/nestFull1ObjectBindDone.sp storedResults/nestFull1ObjectBindDone.sp
echo "  Place"
diff autoResults/nestFull1PlaceBindOn.sp storedResults/nestFull1PlaceBindOn.sp
diff autoResults/nestFull1PlaceBind.sp storedResults/nestFull1PlaceBind.sp
diff autoResults/nestFull1PlaceBindDone.sp storedResults/nestFull1PlaceBindDone.sp
echo "  Timer"
diff autoResults/nestFull1TryToBindTimer.sp storedResults/nestFull1TryToBindTimer.sp
diff autoResults/nestFull1BindingTimer.sp storedResults/nestFull1BindingTimer.sp
diff autoResults/nestFull1BindDoneTimer.sp storedResults/nestFull1BindDoneTimer.sp
echo "  Answers"
diff autoResults/nestFull1AnswerObject.sp storedResults/nestFull1AnswerObject.sp
diff autoResults/nestFull1AnswerPlace.sp storedResults/nestFull1AnswerPlace.sp
echo "  Queries"
diff autoResults/nestFull1QueryObject.sp storedResults/nestFull1QueryObject.sp
diff autoResults/nestFull1QueryPlace.sp storedResults/nestFull1QueryPlace.sp

echo "Full2 Answer Place "
echo "  State"
diff autoResults/nestFull2Automaton.sp storedResults/nestFull2Automaton.sp
echo "  Object"
diff autoResults/nestFull2ObjectBindOn.sp storedResults/nestFull2ObjectBindOn.sp
diff autoResults/nestFull2ObjectBind.sp storedResults/nestFull2ObjectBind.sp
diff autoResults/nestFull2ObjectBindDone.sp storedResults/nestFull2ObjectBindDone.sp
echo "  Place"
diff autoResults/nestFull2PlaceBindOn.sp storedResults/nestFull2PlaceBindOn.sp
diff autoResults/nestFull2PlaceBind.sp storedResults/nestFull2PlaceBind.sp
diff autoResults/nestFull2PlaceBindDone.sp storedResults/nestFull2PlaceBindDone.sp
echo "  Timer"
diff autoResults/nestFull2TryToBindTimer.sp storedResults/nestFull2TryToBindTimer.sp
diff autoResults/nestFull2BindingTimer.sp storedResults/nestFull2BindingTimer.sp
diff autoResults/nestFull2BindDoneTimer.sp storedResults/nestFull2BindDoneTimer.sp
echo "  Answers"
diff autoResults/nestFull2AnswerObject.sp storedResults/nestFull2AnswerObject.sp
diff autoResults/nestFull2AnswerPlace.sp storedResults/nestFull2AnswerPlace.sp
echo "  Queries"
diff autoResults/nestFull2QueryObject.sp storedResults/nestFull2QueryObject.sp
diff autoResults/nestFull2QueryPlace.sp storedResults/nestFull2QueryPlace.sp

echo "Multiple Bind"
echo "  State"
diff autoResults/nestMultAutomaton.sp storedResults/nestMultAutomaton.sp
echo "  Object"
diff autoResults/nestMultObjectBindOn.sp storedResults/nestMultObjectBindOn.sp
diff autoResults/nestMultObjectBind.sp storedResults/nestMultObjectBind.sp
diff autoResults/nestMultObjectBindDone.sp storedResults/nestMultObjectBindDone.sp
echo "  Place"
diff autoResults/nestMultPlaceBindOn.sp storedResults/nestMultPlaceBindOn.sp
diff autoResults/nestMultPlaceBind.sp storedResults/nestMultPlaceBind.sp
diff autoResults/nestMultPlaceBindDone.sp storedResults/nestMultPlaceBindDone.sp
echo "  Timer"
diff autoResults/nestMultTryToBindTimer.sp storedResults/nestMultTryToBindTimer.sp
diff autoResults/nestMultBindingTimer.sp storedResults/nestMultBindingTimer.sp
diff autoResults/nestMultBindDoneTimer.sp storedResults/nestMultBindDoneTimer.sp
echo "  Answers"
diff autoResults/nestMultAnswerObject.sp storedResults/nestMultAnswerObject.sp
diff autoResults/nestMultAnswerPlace.sp storedResults/nestMultAnswerPlace.sp
echo "  Queries"
diff autoResults/nestMultQueryObject.sp storedResults/nestMultQueryObject.sp
diff autoResults/nestMultQueryPlace.sp storedResults/nestMultQueryPlace.sp









