python testSpinn8Simp.py 
python printPklFile.py results/cmAutomaton.pkl  > autoResults/spinn8SimpAutomaton.sp
python printPklFile.py results/cmPlaceBind.pkl  > autoResults/spinn8SimpPlaceBind.sp
python printPklFile.py results/cmTryToBindTimer.pkl > autoResults/spinn8SimpTryToBindTimer.sp

python testSpinn8Bind.py 
python printPklFile.py results/cmPlaceBind.pkl >  autoResults/spinn8BindPlaceBind.sp
python printPklFile.py results/cmObjectBind.pkl >  autoResults/spinn8BindObjectBind.sp
python printPklFile.py results/cmTryToBindTimer.pkl >  autoResults/spinn8BindTryTimer.sp
python printPklFile.py results/cmBindingTimer.pkl >  autoResults/spinn8BindBindTimer.sp

python testSpinn8BindOnce.py 
python printPklFile.py results/cmAutomaton.pkl >  autoResults/spinn8OnceAutomaton.sp
python printPklFile.py results/cmPlaceBindOn.pkl >  autoResults/spinn8OncePlaceBindOn.sp
python printPklFile.py  results/cmPlaceBind.pkl >  autoResults/spinn8OncePlaceBind.sp
python printPklFile.py results/cmPlaceBindDone.pkl >  autoResults/spinn8OncePlaceBindDone.sp
python printPklFile.py results/cmObjectBindOn.pkl >  autoResults/spinn8OnceObjectBindOn.sp
python printPklFile.py results/cmObjectBind.pkl >  autoResults/spinn8OnceObjectBind.sp
python printPklFile.py results/cmObjectBindDone.pkl >  autoResults/spinn8OnceObjectBindDone.sp
python printPklFile.py results/cmTryToBindTimer.pkl >  autoResults/spinn8OnceTryToBindTimer.sp
python printPklFile.py results/cmBindingTimer.pkl > autoResults/spinn8OnceBindingTimer.sp
python printPklFile.py results/cmBindDoneTimer.pkl > autoResults/spinn8OnceBindDoneTimer.sp

python testSpinn8BindFail.py 1  
python printPklFile.py results/cmAutomaton.pkl > autoResults/spinn8Fail1Automaton.sp
python printPklFile.py results/cmPlaceBindOn.pkl > autoResults/spinn8Fail1PlaceBindOn.sp
python printPklFile.py results/cmPlaceBind.pkl >  autoResults/spinn8Fail1PlaceBind.sp
python printPklFile.py results/cmTryToBindTimer.pkl > autoResults/spinn8Fail1TryToBindTimer.sp
python printPklFile.py results/cmBindingTimer.pkl > autoResults/spinn8Fail1BindingTimer.sp

python testSpinn8BindFail.py 2  
python printPklFile.py results/cmAutomaton.pkl >  autoResults/spinn8Fail2Automaton.sp
python printPklFile.py results/cmObjectBindOn.pkl > autoResults/spinn8Fail2ObjectBindOn.sp
python printPklFile.py results/cmObjectBind.pkl >  autoResults/spinn8Fail2ObjectBind.sp
python printPklFile.py results/cmTryToBindTimer.pkl > autoResults/spinn8Fail2TryToBindTimer.sp
python printPklFile.py results/cmBindingTimer.pkl >  autoResults/spinn8Fail2BindingTimer.sp

python testSpinn8BindFail.py 3  
python printPklFile.py results/cmAutomaton.pkl >  autoResults/spinn8Fail3Automaton.sp
python printPklFile.py results/cmObjectBindOn.pkl >  autoResults/spinn8Fail3ObjectBindOn.sp
python printPklFile.py results/cmObjectBind.pkl > autoResults/spinn8Fail3ObjectBind.sp
python printPklFile.py results/cmTryToBindTimer.pkl > autoResults/spinn8Fail3TryToBindTimer.sp
python printPklFile.py results/cmBindingTimer.pkl > autoResults/spinn8Fail3BindingTimer.sp

python testSpinn8DoubleBind.py 
python printPklFile.py results/cmAutomaton.pkl >  autoResults/spinn8DoubleAutomaton.sp
python printPklFile.py results/cmObjectBindOn.pkl >  autoResults/spinn8DoubleObjectBindOn.sp
python printPklFile.py results/cmObjectBind.pkl > autoResults/spinn8DoubleObjectBind.sp
python printPklFile.py results/cmObjectBindDone.pkl > autoResults/spinn8DoubleObjectBindDone.sp
python printPklFile.py results/cmPlaceBindOn.pkl > autoResults/spinn8DoublePlaceBindOn.sp
python printPklFile.py results/cmPlaceBind.pkl > autoResults/spinn8DoublePlaceBind.sp
python printPklFile.py results/cmPlaceBindDone.pkl > autoResults/spinn8DoublePlaceBindDone.sp
python printPklFile.py results/cmTryToBindTimer.pkl > autoResults/spinn8DoubleTryToBindTimer.sp
python printPklFile.py results/cmBindingTimer.pkl > autoResults/spinn8DoubleBindingTimer.sp
python printPklFile.py results/cmBindDoneTimer.pkl > autoResults/spinn8DoubleBindDoneTimer.sp

python testSpinn8Full.py 1
python printPklFile.py results/cmAutomaton.pkl >  autoResults/spinn8Full1Automaton.sp
python printPklFile.py results/cmObjectBindOn.pkl > autoResults/spinn8Full1ObjectBindOn.sp
python printPklFile.py results/cmObjectBind.pkl > autoResults/spinn8Full1ObjectBind.sp
python printPklFile.py results/cmObjectBindDone.pkl > autoResults/spinn8Full1ObjectBindDone.sp
python printPklFile.py results/cmPlaceBindOn.pkl > autoResults/spinn8Full1PlaceBindOn.sp
python printPklFile.py results/cmPlaceBind.pkl > autoResults/spinn8Full1PlaceBind.sp
python printPklFile.py results/cmPlaceBindDone.pkl > autoResults/spinn8Full1PlaceBindDone.sp
python printPklFile.py results/cmTryToBindTimer.pkl > autoResults/spinn8Full1TryToBindTimer.sp
python printPklFile.py results/cmBindingTimer.pkl >  autoResults/spinn8Full1BindingTimer.sp
python printPklFile.py results/cmBindDoneTimer.pkl > autoResults/spinn8Full1BindDoneTimer.sp
python printPklFile.py results/cmAnswerObject.pkl > autoResults/spinn8Full1AnswerObject.sp
python printPklFile.py results/cmAnswerPlace.pkl > autoResults/spinn8Full1AnswerPlace.sp
python printPklFile.py results/cmQueryOnObject.pkl > autoResults/spinn8Full1QueryObject.sp
python printPklFile.py results/cmQueryOnPlace.pkl > autoResults/spinn8Full1QueryPlace.sp

python testSpinn8Full.py 2
python printPklFile.py results/cmAutomaton.pkl > autoResults/spinn8Full2Automaton.sp
python printPklFile.py results/cmObjectBindOn.pkl >  autoResults/spinn8Full2ObjectBindOn.sp
python printPklFile.py results/cmObjectBind.pkl >  autoResults/spinn8Full2ObjectBind.sp
python printPklFile.py results/cmObjectBindDone.pkl >  autoResults/spinn8Full2ObjectBindDone.sp
python printPklFile.py results/cmPlaceBindOn.pkl >  autoResults/spinn8Full2PlaceBindOn.sp
python printPklFile.py results/cmPlaceBind.pkl >  autoResults/spinn8Full2PlaceBind.sp
python printPklFile.py results/cmPlaceBindDone.pkl >  autoResults/spinn8Full2PlaceBindDone.sp
python printPklFile.py results/cmTryToBindTimer.pkl >  autoResults/spinn8Full2TryToBindTimer.sp
python printPklFile.py results/cmBindingTimer.pkl >  autoResults/spinn8Full2BindingTimer.sp
python printPklFile.py results/cmBindDoneTimer.pkl > autoResults/spinn8Full2BindDoneTimer.sp
python printPklFile.py results/cmAnswerObject.pkl >  autoResults/spinn8Full2AnswerObject.sp
python printPklFile.py results/cmAnswerPlace.pkl > autoResults/spinn8Full2AnswerPlace.sp
python printPklFile.py results/cmQueryOnObject.pkl > autoResults/spinn8Full2QueryObject.sp
python printPklFile.py results/cmQueryOnPlace.pkl > autoResults/spinn8Full2QueryPlace.sp

python testSpinn8MultBind.py 
python printPklFile.py results/cmAutomaton.pkl >  autoResults/spinn8MultAutomaton.sp
python printPklFile.py results/cmObjectBindOn.pkl > autoResults/spinn8MultObjectBindOn.sp
python printPklFile.py results/cmObjectBind.pkl > autoResults/spinn8MultObjectBind.sp
python printPklFile.py results/cmObjectBindDone.pkl > autoResults/spinn8MultObjectBindDone.sp
python printPklFile.py results/cmPlaceBindOn.pkl > autoResults/spinn8MultPlaceBindOn.sp
python printPklFile.py results/cmPlaceBind.pkl > autoResults/spinn8MultPlaceBind.sp
python printPklFile.py results/cmPlaceBindDone.pkl > autoResults/spinn8MultPlaceBindDone.sp
python printPklFile.py results/cmTryToBindTimer.pkl > autoResults/spinn8MultTryToBindTimer.sp
python printPklFile.py results/cmBindingTimer.pkl >  autoResults/spinn8MultBindingTimer.sp
python printPklFile.py results/cmBindDoneTimer.pkl > autoResults/spinn8MultBindDoneTimer.sp
python printPklFile.py results/cmAnswerObject.pkl > autoResults/spinn8MultAnswerObject.sp
python printPklFile.py results/cmAnswerPlace.pkl > autoResults/spinn8MultAnswerPlace.sp
python printPklFile.py results/cmQueryOnObject.pkl > autoResults/spinn8MultQueryObject.sp
python printPklFile.py results/cmQueryOnPlace.pkl > autoResults/spinn8MultQueryPlace.sp

echo "diffs"
echo "Simple" 
echo "  State"
diff autoResults/spinn8SimpAutomaton.sp storedResults/spinn8SimpAutomaton.sp
echo "  Place"
diff autoResults/spinn8SimpPlaceBind.sp storedResults/spinn8SimpPlaceBind.sp
echo "  Timer"
diff autoResults/spinn8SimpTryToBindTimer.sp storedResults/spinn8SimpTryToBindTimer.sp

echo "Bind" 
diff autoResults/spinn8BindObjectBind.sp storedResults/spinn8BindObjectBind.sp
echo "  Place"
diff autoResults/spinn8BindPlaceBind.sp storedResults/spinn8BindPlaceBind.sp
#echo "  Blank Timers"
diff autoResults/spinn8BindTryTimer.sp storedResults/spinn8BindTryTimer.sp
diff autoResults/spinn8BindBindTimer.sp storedResults/spinn8BindBindTimer.sp

echo "Once"
echo "  State"
diff autoResults/spinn8OnceAutomaton.sp storedResults/spinn8OnceAutomaton.sp
echo "  Place"
diff autoResults/spinn8OncePlaceBindOn.sp storedResults/spinn8OncePlaceBindOn.sp
#echo "  Place B"
diff autoResults/spinn8OncePlaceBind.sp storedResults/spinn8OncePlaceBind.sp
#echo "  Place D"
diff autoResults/spinn8OncePlaceBindDone.sp storedResults/spinn8OncePlaceBindDone.sp
echo "  Object"
diff autoResults/spinn8OnceObjectBindOn.sp storedResults/spinn8OnceObjectBindOn.sp
diff autoResults/spinn8OnceObjectBind.sp storedResults/spinn8OnceObjectBind.sp
diff autoResults/spinn8OnceObjectBindDone.sp storedResults/spinn8OnceObjectBindDone.sp
echo "  Timer"
diff autoResults/spinn8OnceTryToBindTimer.sp storedResults/spinn8OnceTryToBindTimer.sp
diff autoResults/spinn8OnceBindingTimer.sp storedResults/spinn8OnceBindingTimer.sp
diff autoResults/spinn8OnceBindDoneTimer.sp storedResults/spinn8OnceBindDoneTimer.sp

echo "Fail1 2 Places"
echo "  State"
diff autoResults/spinn8Fail1Automaton.sp  storedResults/spinn8Fail1Automaton.sp
echo "  Place"
diff autoResults/spinn8Fail1PlaceBindOn.sp storedResults/spinn8Fail1PlaceBindOn.sp
diff autoResults/spinn8Fail1PlaceBind.sp storedResults/spinn8Fail1PlaceBind.sp
echo "  Timer"
diff autoResults/spinn8Fail1TryToBindTimer.sp storedResults/spinn8Fail1TryToBindTimer.sp
diff autoResults/spinn8Fail1BindingTimer.sp storedResults/spinn8Fail1BindingTimer.sp

echo "Fail2 2 Objects"
echo "  State"
diff autoResults/spinn8Fail2Automaton.sp storedResults/spinn8Fail2Automaton.sp
echo "  Object"
diff autoResults/spinn8Fail2ObjectBindOn.sp storedResults/spinn8Fail2ObjectBindOn.sp
diff autoResults/spinn8Fail2ObjectBind.sp storedResults/spinn8Fail2ObjectBind.sp
echo "  Timer"
diff autoResults/spinn8Fail2TryToBindTimer.sp storedResults/spinn8Fail2TryToBindTimer.sp
diff autoResults/spinn8Fail2BindingTimer.sp storedResults/spinn8Fail2BindingTimer.sp

echo "Fail3 1 Object No Places"
echo "  State"
diff autoResults/spinn8Fail3Automaton.sp storedResults/spinn8Fail3Automaton.sp
echo "  Object"
diff autoResults/spinn8Fail3ObjectBindOn.sp storedResults/spinn8Fail3ObjectBindOn.sp
diff autoResults/spinn8Fail3ObjectBind.sp storedResults/spinn8Fail3ObjectBind.sp
echo "  Timer"
diff autoResults/spinn8Fail3TryToBindTimer.sp storedResults/spinn8Fail3TryToBindTimer.sp
diff autoResults/spinn8Fail3BindingTimer.sp storedResults/spinn8Fail3BindingTimer.sp

echo "Double Bind "
echo "  State" 
diff autoResults/spinn8DoubleAutomaton.sp storedResults/spinn8DoubleAutomaton.sp
echo "  Object"
diff autoResults/spinn8DoubleObjectBindOn.sp storedResults/spinn8DoubleObjectBindOn.sp
diff autoResults/spinn8DoubleObjectBind.sp storedResults/spinn8DoubleObjectBind.sp
diff autoResults/spinn8DoubleObjectBindDone.sp storedResults/spinn8DoubleObjectBindDone.sp
echo "  Place"
diff autoResults/spinn8DoublePlaceBindOn.sp storedResults/spinn8DoublePlaceBindOn.sp
diff autoResults/spinn8DoublePlaceBind.sp storedResults/spinn8DoublePlaceBind.sp
diff autoResults/spinn8DoublePlaceBindDone.sp storedResults/spinn8DoublePlaceBindDone.sp
echo "  Timer"
diff autoResults/spinn8DoubleTryToBindTimer.sp storedResults/spinn8DoubleTryToBindTimer.sp
diff autoResults/spinn8DoubleBindingTimer.sp storedResults/spinn8DoubleBindingTimer.sp
diff autoResults/spinn8DoubleBindDoneTimer.sp storedResults/spinn8DoubleBindDoneTimer.sp

echo "Full1 Answer Object "
echo "  State" 
diff autoResults/spinn8Full1Automaton.sp storedResults/spinn8Full1Automaton.sp
echo "  Object"
diff autoResults/spinn8Full1ObjectBindOn.sp storedResults/spinn8Full1ObjectBindOn.sp
diff autoResults/spinn8Full1ObjectBind.sp storedResults/spinn8Full1ObjectBind.sp
diff autoResults/spinn8Full1ObjectBindDone.sp storedResults/spinn8Full1ObjectBindDone.sp
echo "  Place"
diff autoResults/spinn8Full1PlaceBindOn.sp storedResults/spinn8Full1PlaceBindOn.sp
diff autoResults/spinn8Full1PlaceBind.sp storedResults/spinn8Full1PlaceBind.sp
diff autoResults/spinn8Full1PlaceBindDone.sp storedResults/spinn8Full1PlaceBindDone.sp
echo "  Timer"
diff autoResults/spinn8Full1TryToBindTimer.sp storedResults/spinn8Full1TryToBindTimer.sp
diff autoResults/spinn8Full1BindingTimer.sp storedResults/spinn8Full1BindingTimer.sp
diff autoResults/spinn8Full1BindDoneTimer.sp storedResults/spinn8Full1BindDoneTimer.sp
echo "  Answers"
diff autoResults/spinn8Full1AnswerObject.sp storedResults/spinn8Full1AnswerObject.sp
diff autoResults/spinn8Full1AnswerPlace.sp storedResults/spinn8Full1AnswerPlace.sp
echo "  Queries"
diff autoResults/spinn8Full1QueryObject.sp storedResults/spinn8Full1QueryObject.sp
diff autoResults/spinn8Full1QueryPlace.sp storedResults/spinn8Full1QueryPlace.sp


echo "Full2 Answer Place "
echo "  State" 
diff autoResults/spinn8Full2Automaton.sp storedResults/spinn8Full2Automaton.sp
echo "  Object"
diff autoResults/spinn8Full2ObjectBindOn.sp storedResults/spinn8Full2ObjectBindOn.sp
diff autoResults/spinn8Full2ObjectBind.sp storedResults/spinn8Full2ObjectBind.sp
diff autoResults/spinn8Full2ObjectBindDone.sp storedResults/spinn8Full2ObjectBindDone.sp
echo "  Place"
diff autoResults/spinn8Full2PlaceBindOn.sp storedResults/spinn8Full2PlaceBindOn.sp
diff autoResults/spinn8Full2PlaceBind.sp storedResults/spinn8Full2PlaceBind.sp
diff autoResults/spinn8Full2PlaceBindDone.sp storedResults/spinn8Full2PlaceBindDone.sp
echo "  Timer"
diff autoResults/spinn8Full2TryToBindTimer.sp storedResults/spinn8Full2TryToBindTimer.sp
diff autoResults/spinn8Full2BindingTimer.sp storedResults/spinn8Full2BindingTimer.sp
diff autoResults/spinn8Full2BindDoneTimer.sp storedResults/spinn8Full2BindDoneTimer.sp
echo "  Answers"
diff autoResults/spinn8Full2AnswerObject.sp storedResults/spinn8Full2AnswerObject.sp
diff autoResults/spinn8Full2AnswerPlace.sp storedResults/spinn8Full2AnswerPlace.sp
echo "  Queries"
diff autoResults/spinn8Full2QueryObject.sp storedResults/spinn8Full2QueryObject.sp
diff autoResults/spinn8Full2QueryPlace.sp storedResults/spinn8Full2QueryPlace.sp



echo "Mult" 
echo "  State" 
diff autoResults/spinn8MultAutomaton.sp storedResults/spinn8MultAutomaton.sp
echo "  Object"
diff autoResults/spinn8MultObjectBindOn.sp storedResults/spinn8MultObjectBindOn.sp
diff autoResults/spinn8MultObjectBind.sp storedResults/spinn8MultObjectBind.sp
diff autoResults/spinn8MultObjectBindDone.sp storedResults/spinn8MultObjectBindDone.sp
echo "  Place"
diff autoResults/spinn8MultPlaceBindOn.sp storedResults/spinn8MultPlaceBindOn.sp
diff autoResults/spinn8MultPlaceBind.sp storedResults/spinn8MultPlaceBind.sp
diff autoResults/spinn8MultPlaceBindDone.sp storedResults/spinn8MultPlaceBindDone.sp
echo "  Timer"
diff autoResults/spinn8MultTryToBindTimer.sp storedResults/spinn8MultTryToBindTimer.sp
diff autoResults/spinn8MultBindingTimer.sp storedResults/spinn8MultBindingTimer.sp
diff autoResults/spinn8MultBindDoneTimer.sp storedResults/spinn8MultBindDoneTimer.sp
echo "  Answers"
diff autoResults/spinn8MultAnswerObject.sp storedResults/spinn8MultAnswerObject.sp
diff autoResults/spinn8MultAnswerPlace.sp storedResults/spinn8MultAnswerPlace.sp
echo "  Queries"
diff autoResults/spinn8MultQueryObject.sp storedResults/spinn8MultQueryObject.sp
diff autoResults/spinn8MultQueryPlace.sp storedResults/spinn8MultQueryPlace.sp
